function circulo(Nd, Mxd, Myd, r, re, na, Ai)
hold on

fck=25;
fyk=500;


fcd=fck/1.5;
fyd=fyk/1.15;
Es=2.0*10^5;
Ai=[[1 6 re]    
    ];

acero=armadura(na,r);


[Li,Wi]=integraHammer(); % integracion de Hammer
[n,ec2,ecu2]=initHormigon(fck); % diagrama parabola-rectangulo Hormigon
[nodos,eltos]=discretiza(na,r); % discretizacion area bruta


emax=ecu2;

options = optimoptions('fsolve','Display','off');
s0=[0 0 0];
s=fsolve(@(s)calcula(s),s0,options);

vv=esfuerzos(s);
Mxmax=vv(1);
    

    function [Li,Wi]=integraHammer()
        % metode de integracion de Hammer eltos triangulares
        
        Li=1/2*[
            [1 1 0]
            [1 0 1]
            [0 1 1]
            ]; % coordenadas
        Wi=1/6*[1 1 1]; % pesos        
        
    end        

    function [n,ec2,ecu2]=initHormigon(fck)
        % diagrama parabola-rectangulo
        
        if(fck<50)
            n=2;
            ec2=2/1000;
            ecu2=3.5/1000;
        else
            n=1.4+23.4*((90-fck)/100)^4;
            ec2=(2.0+0.085*(fck-50)^0.53)/1000;
            ecu2=(2.6+35*((90-fck)/100)^4)/1000;            
        end
        
    end

    function [nodos,eltos]=discretiza(n,r)
        % discretizacion
        t = (1/(2*n):1/n:1)'*2*pi;
        
        x=[];
        y=[];
        for i=1:4
            x=cat(1,x,r/i*cos(t));
            y=cat(1,y,r/i*sin(t));
        end             

        DT=delaunayTriangulation(x,y); % triangulacion de Delaunay
%         figure;
%        triplot(DT);

        nodos=DT.Points; % nodos
        eltos=DT.ConnectivityList; % elementos
                
    end

    function v=defLong(x,y,s)        

        e0=s(1);
        ax=s(2);
        ay=s(3);
        
        v=e0+ay*x+ax*y;        
    end

    function v=tensionHormigon(x,y,s)
        % tension en el Hormigon
        v=0;
        
        ec=defLong(x,y,s);
        if((ec>0)&&(ec<=ec2))
            v=fcd*(1-(1-ec/ec2)^n);            
        elseif(ec>ec2)
            v=fcd;            
        end
                    
    end

    function v=tensionAcero(x,y,s)
        % tension en el Acero
        v=0;
        
        ec=defLong(x,y,s);
        if(ec<-fyd/Es)
            v=-fyd;
        elseif(-fyd/Es<ec)&&(ec<fyd/Es)
            v=Es*ec;
        else
            v=fyd;
        end
                    
    end

    function v0=calcula(s)
        % calcula e0 para Nd
        e0=s(1);
        ax=s(2);
        ay=s(3);
        
        v=zeros(1,3);
        x=0;
        y=0;
        n0=size(eltos);
        n0=n0(1); % numero de elementos
        for k=1:n0
            vk=eltos(k,:); % elemento k
            nk=nodos(eltos(k,:),:); % nodos del elemento k
            vJ=calculaJ(nk);
            v0=intHammer(nk,s);
            v=v+v0*vJ;
        end        
        
        % aportacion del acero
        n0=size(acero);
        n0=n0(1); % numero de armaduras
        for k=1:n0
            x=acero(k,1);
            y=acero(k,2);
            d=acero(k,3);
            A=pi*(d/2)^2; % area
            ts=tensionAcero(x,y,s);
            v=v+A*ts*[1 y x];
        end
        
        v(1)=v(1)/1000; % axil (kN)
        v(2)=v(2)/10^6; % flector Mx (kNm)
        v(3)=v(3)/10^6; % flector My (kNm)
        
        v0=zeros(1,2);
        v0(1)=v(1)-Nd;
        
        v1=ecmax(s);                 
        v0(2)=v1-emax;
        
        v0(3)=v(3)-Myd;
        
    end

    function v0=esfuerzos(s)
        % (Nc,Mc): esfuerzos en el hormign
        e0=s(1);
        ax=s(2);
        ay=s(3);
        
        v=zeros(1,3);
        x=0;
        y=0;
        n0=size(eltos);
        n0=n0(1); % numero de elementos
        for k=1:n0
            vk=eltos(k,:); % elemento k
            nk=nodos(eltos(k,:),:); % nodos del elemento k
            vJ=calculaJ(nk);
            v0=intHammer(nk,s);
            v=v+v0*vJ;
        end 
        
        % aportacion del acero
        n0=size(acero);
        n0=n0(1); % numero de armaduras
        for k=1:n0
            x=acero(k,1);
            y=acero(k,2);
            d=acero(k,3);
            A=pi*(d/2)^2; % area
            ts=tensionAcero(x,y,s);
            v=v+A*ts*[1 y x];
        end
        
        v(1)=v(1)/1000; % axil (kN)
        v(2)=v(2)/10^6; % flector Mx (kNm)
        v(3)=v(3)/10^6 ;% flector My (kNm)
        
        v0=[v(2) v(3)];
        
    end

    function v0=ecmax(s)
        % deformacion maxima en el hormigon
         
        v0=0;       
        n0=size(eltos);
        n0=n0(1); % numero de elementos
        for k=1:n0
            vk=eltos(k,:); % elemento k
            nk=nodos(eltos(k,:),:); % nodos del elemento k
            for j=1:3
                x=nk(j,1);
                y=nk(j,2);
                v0=max(v0,defLong(x,y,s));
            end
        end                
    end

    function vJ=calculaJ(nk)
        % calcula el jacobiano
        % vk: elemento k
        % nk: nodos del elemento k
        vJ=zeros(2);
        vJ(1,1)=[1 0 -1]*nk(:,1);
        vJ(1,2)=[1 0 -1]*nk(:,2);
        
        vJ(2,1)=[0 1 -1]*nk(:,1);
        vJ(2,2)=[0 1 -1]*nk(:,2);
        
        vJ=det(vJ);              
                       
    end

    function v=intHammer(nk,s)
        % coordenadas (x,y) a partir de (L1,L2,L3)
        
        v=zeros(1,3);    
        for i=1:3
                Lj=Li(i,:);
                x=Lj*nk(:,1);
                y=Lj*nk(:,2);
                v=v+Wi(i)*tensionHormigon(x,y,s)*[1 y x];
        end                
    end      

    function v=armadura(n,r)       
                       
        ni=Ai(1,1); % numero de armaduras alineadas
        di=Ai(1,2); % diametro
        ri=Ai(1,3); % recubrimiento mecanico   
        
        v=zeros(ni*n,3);
        
        t=ones(n*ni,1)*1/(2*n*ni);
        t =t+(1/(2*n*ni):1/(n*ni):1)'*2*pi;
        x = (r-ri)*cos(t);
        y = (r-ri)*sin(t);     
        
        v(:,1)=x;
        v(:,2)=y;
        v(:,3)=di;
        
    end

     function seccion(esc,n,r)
         % dibuja seccion        
         t = (1/(2*n):1/n:1)'*2*pi;
         x = r*cos(t);
         y = r*sin(t);
         fill(x,y,'w');
         axis square
                 
         n0=size(acero);
         n0=n0(1);
         for i=1:n0
             a=acero(i,:);
             di=a(3);        
             t=0:pi/30:2*pi; 
             x=a(1)+di*cos(t);y=a(2)+di*sin(t);
             % x=x+x0;y=y+y0;
             x=esc*x;y=esc*y;
             hold on;
            
             plot(x,y,'r','LineWidth',1.5);
             
        end                     
     end

if(Mxmax>Mxd)
%     X = sprintf('%f > %f',Mxmax,Mxd);
%     disp(X);
%     disp("Cumple");
      figure('Name','Armado Seccin','NumberTitle','off');
    subplot(1,2,1);
    axis('image');
    seccion(1,na,r);
    suptitle('Armado Seccin')          
 subplot(1,2,2);
text(0,3,'Nredondos')
text(1.3,3,'Dimetro')
text(2.4,3,'recubrimiento')
top=text(1.8,2,num2str(Ai),'HorizontalAlignment','center')
sop = top.FontSize;
top.FontSize = 20;
line([.25 0 0 .25 NaN 3.75 4 4 3.75],[0 0 4 4 NaN 0 0 4 4])
axis off tight
  top=text(1.8,2,num2str(Ai),'HorizontalAlignment','center')%
 sop = top.FontSize;
  top.FontSize = 20;
  line([.25 0 0 .25 NaN 3.75 4 4 3.75],[0 0 4 4 NaN 0 0 4 4])
  axis off tight
   top4=text(0.65,1, 'rea armado (mm^2)');
   Apoligono=Ai(1)*na*pi*((Ai(2)/2)^2);
   top5=text(1.95,0.65,num2str(Apoligono),'HorizontalAlignment','center');
    sop5 = top5.FontSize;
    top5.FontSize = 16;
     sop4 = top4.FontSize;
    top4.FontSize = 12;
else
%     disp("No Cumple")
%     X = sprintf('%f < %f',Mxmax,Mxd)
    Ai=[[1 8 re]    
    ]; % armaduras ni/lado,phi_i,ri
acero=armadura(na,r);
[Li,Wi]=integraHammer(); % integracion de Hammer
[n,ec2,ecu2]=initHormigon(fck); % diagrama parabola-rectangulo Hormigon
[nodos,eltos]=discretiza(na,r); % discretizacion area bruta

emax=ecu2;

options = optimoptions('fsolve','Display','off');
s0=[0 0 0];
s=fsolve(@(s)calcula(s),s0,options);

vv=esfuerzos(s);
Mxmax=vv(1);
if(Mxmax>Mxd)
%     X = sprintf('%f > %f',Mxmax,Mxd)
%     disp(X)
%     disp("Cumple")
    figure('Name','Armado Seccin','NumberTitle','off');
   subplot(1,2,1)
    axis('image')
    seccion(1,na,r);
    suptitle('Armado Seccin')          
 subplot(1,2,2);
text(0,3,'Nredondos')
text(1.3,3,'Dimetro')
text(2.4,3,'recubrimiento')
top=text(1.8,2,num2str(Ai),'HorizontalAlignment','center')
sop = top.FontSize;
top.FontSize = 20;
line([.25 0 0 .25 NaN 3.75 4 4 3.75],[0 0 4 4 NaN 0 0 4 4])
axis off tight
  top=text(1.8,2,num2str(Ai),'HorizontalAlignment','center')%
 sop = top.FontSize;
  top.FontSize = 20;
  line([.25 0 0 .25 NaN 3.75 4 4 3.75],[0 0 4 4 NaN 0 0 4 4])
  axis off tight
   top4=text(0.65,1, 'rea armado (mm^2)');
   Apoligono=Ai(1)*na*pi*((Ai(2)/2)^2);
   top5=text(1.95,0.65,num2str(Apoligono),'HorizontalAlignment','center');
    sop5 = top5.FontSize;
    top5.FontSize = 16;
     sop4 = top4.FontSize;
    top4.FontSize = 12;
else
%     disp("No Cumple")
%     X = sprintf('%f < %f',Mxmax,Mxd)
    Ai=[[1 10 re]   
        ]; % armaduras ni/lado,phi_i,ri
    acero=armadura(na,r);
[Li,Wi]=integraHammer(); % integracion de Hammer
[n,ec2,ecu2]=initHormigon(fck); % diagrama parabola-rectangulo Hormigon
[nodos,eltos]=discretiza(na,r); % discretizacion area bruta

emax=ecu2;

options = optimoptions('fsolve','Display','off');
s0=[0 0 0];
s=fsolve(@(s)calcula(s),s0,options);

vv=esfuerzos(s);
Mxmax=vv(1);
if(Mxmax>Mxd)
%     X = sprintf('%f > %f',Mxmax,Mxd)
%     disp(X)
%     disp("Cumple")
    figure('Name','Armado Seccin','NumberTitle','off');
   subplot(1,2,1)
    axis('image')
    seccion(1,na,r);
    suptitle('Armado Seccin')          
 subplot(1,2,2);
text(0,3,'Nredondos')
text(1.3,3,'Dimetro')
text(2.4,3,'recubrimiento')
top=text(1.8,2,num2str(Ai),'HorizontalAlignment','center')
sop = top.FontSize;
top.FontSize = 20;
line([.25 0 0 .25 NaN 3.75 4 4 3.75],[0 0 4 4 NaN 0 0 4 4])
axis off tight
  top=text(1.8,2,num2str(Ai),'HorizontalAlignment','center')%
 sop = top.FontSize;
  top.FontSize = 20;
  line([.25 0 0 .25 NaN 3.75 4 4 3.75],[0 0 4 4 NaN 0 0 4 4])
  axis off tight
   top4=text(0.65,1, 'rea armado (mm^2)');
   Apoligono=Ai(1)*na*pi*((Ai(2)/2)^2);
   top5=text(1.95,0.65,num2str(Apoligono),'HorizontalAlignment','center');
    sop5 = top5.FontSize;
    top5.FontSize = 16;
     sop4 = top4.FontSize;
    top4.FontSize = 12;
else
%     disp("No Cumple")
%     X = sprintf('%f < %f',Mxmax,Mxd)
    Ai=[[1 12 re]   
        ]; % armaduras ni/lado,phi_i,ri
    acero=armadura(na,r);
[Li,Wi]=integraHammer(); % integracion de Hammer
[n,ec2,ecu2]=initHormigon(fck); % diagrama parabola-rectangulo Hormigon
[nodos,eltos]=discretiza(na,r); % discretizacion area bruta

emax=ecu2;

options = optimoptions('fsolve','Display','off');
s0=[0 0 0];
s=fsolve(@(s)calcula(s),s0,options);

vv=esfuerzos(s);
Mxmax=vv(1);
if(Mxmax>Mxd)
%     X = sprintf('%f > %f',Mxmax,Mxd)
%     disp(X)
%     disp("Cumple")
    figure('Name','Armado Seccin','NumberTitle','off');
   subplot(1,2,1)
    axis('image')
    seccion(1,na,r);
    suptitle('Armado Seccin')          
 subplot(1,2,2);
text(0,3,'Nredondos')
text(1.3,3,'Dimetro')
text(2.4,3,'recubrimiento')
top=text(1.8,2,num2str(Ai),'HorizontalAlignment','center')
sop = top.FontSize;
top.FontSize = 20;
line([.25 0 0 .25 NaN 3.75 4 4 3.75],[0 0 4 4 NaN 0 0 4 4])
axis off tight
  top=text(1.8,2,num2str(Ai),'HorizontalAlignment','center')%
 sop = top.FontSize;
  top.FontSize = 20;
  line([.25 0 0 .25 NaN 3.75 4 4 3.75],[0 0 4 4 NaN 0 0 4 4])
  axis off tight
   top4=text(0.65,1, 'rea armado (mm^2)');
   Apoligono=Ai(1)*na*pi*((Ai(2)/2)^2);
   top5=text(1.95,0.65,num2str(Apoligono),'HorizontalAlignment','center');
    sop5 = top5.FontSize;
    top5.FontSize = 16;
     sop4 = top4.FontSize;
    top4.FontSize = 12;
else
%     disp("No Cumple")
%     X = sprintf('%f < %f',Mxmax,Mxd)
    Ai=[[1 14 re]   
        ]; % armaduras ni/lado,phi_i,ri
    acero=armadura(na,r);
[Li,Wi]=integraHammer(); % integracion de Hammer
[n,ec2,ecu2]=initHormigon(fck); % diagrama parabola-rectangulo Hormigon
[nodos,eltos]=discretiza(na,r); % discretizacion area bruta

emax=ecu2;

options = optimoptions('fsolve','Display','off');
s0=[0 0 0];
s=fsolve(@(s)calcula(s),s0,options);

vv=esfuerzos(s);
Mxmax=vv(1);
if(Mxmax>Mxd)
%     X = sprintf('%f > %f',Mxmax,Mxd)
%     disp(X)
%     disp("Cumple")
    figure('Name','Armado Seccin','NumberTitle','off');
 subplot(1,2,1)
    axis('image')
    seccion(1,na,r);
    suptitle('Armado Seccin')          
 subplot(1,2,2);
text(0,3,'Nredondos')
text(1.3,3,'Dimetro')
text(2.4,3,'recubrimiento')
top=text(1.8,2,num2str(Ai),'HorizontalAlignment','center')
sop = top.FontSize;
top.FontSize = 20;
line([.25 0 0 .25 NaN 3.75 4 4 3.75],[0 0 4 4 NaN 0 0 4 4])
axis off tight
  top=text(1.8,2,num2str(Ai),'HorizontalAlignment','center')%
 sop = top.FontSize;
  top.FontSize = 20;
  line([.25 0 0 .25 NaN 3.75 4 4 3.75],[0 0 4 4 NaN 0 0 4 4])
  axis off tight
   top4=text(0.65,1, 'rea armado (mm^2)');
   Apoligono=Ai(1)*na*pi*((Ai(2)/2)^2);
   top5=text(1.95,0.65,num2str(Apoligono),'HorizontalAlignment','center');
    sop5 = top5.FontSize;
    top5.FontSize = 16;
     sop4 = top4.FontSize;
    top4.FontSize = 12;
else
%     disp("No Cumple")
%     X = sprintf('%f < %f',Mxmax,Mxd)
    Ai=[[1 16 re]   
        ]; % armaduras ni/lado,phi_i,ri
    acero=armadura(na,r);
[Li,Wi]=integraHammer(); % integracion de Hammer
[n,ec2,ecu2]=initHormigon(fck); % diagrama parabola-rectangulo Hormigon
[nodos,eltos]=discretiza(na,r); % discretizacion area bruta

emax=ecu2;

options = optimoptions('fsolve','Display','off');
s0=[0 0 0];
s=fsolve(@(s)calcula(s),s0,options);

vv=esfuerzos(s);
Mxmax=vv(1);
if(Mxmax>Mxd)
%     X = sprintf('%f > %f',Mxmax,Mxd)
%     disp(X)
%     disp("Cumple")
    figure('Name','Armado Seccin','NumberTitle','off');
   subplot(1,2,1)
    axis('image')
    seccion(1,na,r);
    suptitle('Armado Seccin')          
 subplot(1,2,2);
text(0,3,'Nredondos')
text(1.3,3,'Dimetro')
text(2.4,3,'recubrimiento')
top=text(1.8,2,num2str(Ai),'HorizontalAlignment','center')
sop = top.FontSize;
top.FontSize = 20;
line([.25 0 0 .25 NaN 3.75 4 4 3.75],[0 0 4 4 NaN 0 0 4 4])
axis off tight
  top=text(1.8,2,num2str(Ai),'HorizontalAlignment','center')%
 sop = top.FontSize;
  top.FontSize = 20;
  line([.25 0 0 .25 NaN 3.75 4 4 3.75],[0 0 4 4 NaN 0 0 4 4])
  axis off tight
   top4=text(0.65,1, 'rea armado (mm^2)');
   Apoligono=Ai(1)*na*pi*((Ai(2)/2)^2);
   top5=text(1.95,0.65,num2str(Apoligono),'HorizontalAlignment','center');
    sop5 = top5.FontSize;
    top5.FontSize = 16;
     sop4 = top4.FontSize;
    top4.FontSize = 12;
else
%     disp("No Cumple")
%     X = sprintf('%f < %f',Mxmax,Mxd)
    Ai=[[1 20 re]   
        ]; % armaduras ni/lado,phi_i,ri
    acero=armadura(na,r);
[Li,Wi]=integraHammer(); % integracion de Hammer
[n,ec2,ecu2]=initHormigon(fck); % diagrama parabola-rectangulo Hormigon
[nodos,eltos]=discretiza(na,r); % discretizacion area bruta

emax=ecu2;

options = optimoptions('fsolve','Display','off');
s0=[0 0 0];
s=fsolve(@(s)calcula(s),s0,options);

vv=esfuerzos(s);
Mxmax=vv(1);
if(Mxmax>Mxd)
%     X = sprintf('%f > %f',Mxmax,Mxd)
%     disp(X)
%     disp("Cumple")
    figure('Name','Armado Seccin','NumberTitle','off');
    subplot(1,2,1)
    axis('image')
   seccion(1,na,r);
    suptitle('Armado Seccin')          
 subplot(1,2,2);
text(0,3,'Nredondos')
text(1.3,3,'Dimetro')
text(2.4,3,'recubrimiento')
top=text(1.8,2,num2str(Ai),'HorizontalAlignment','center')
sop = top.FontSize;
top.FontSize = 20;
line([.25 0 0 .25 NaN 3.75 4 4 3.75],[0 0 4 4 NaN 0 0 4 4])
axis off tight
  top=text(1.8,2,num2str(Ai),'HorizontalAlignment','center')%
 sop = top.FontSize;
  top.FontSize = 20;
  line([.25 0 0 .25 NaN 3.75 4 4 3.75],[0 0 4 4 NaN 0 0 4 4])
  axis off tight
   top4=text(0.65,1, 'rea armado (mm^2)');
   Apoligono=Ai(1)*na*pi*((Ai(2)/2)^2);
   top5=text(1.95,0.65,num2str(Apoligono),'HorizontalAlignment','center');
    sop5 = top5.FontSize;
    top5.FontSize = 16;
     sop4 = top4.FontSize;
    top4.FontSize = 12;
else
%     disp("No Cumple")
%     X = sprintf('%f < %f',Mxmax,Mxd)
    Ai=[[1 25 re]   
        ]; % armaduras ni/lado,phi_i,ri
    acero=armadura(na,r);
[Li,Wi]=integraHammer(); % integracion de Hammer
[n,ec2,ecu2]=initHormigon(fck); % diagrama parabola-rectangulo Hormigon
[nodos,eltos]=discretiza(na,r); % discretizacion area bruta

emax=ecu2;

options = optimoptions('fsolve','Display','off');
s0=[0 0 0];
s=fsolve(@(s)calcula(s),s0,options);

vv=esfuerzos(s);
Mxmax=vv(1);
if(Mxmax>Mxd)
%     X = sprintf('%f > %f',Mxmax,Mxd)
%     disp(X)
%     disp("Cumple")
    figure('Name','Armado Seccin','NumberTitle','off');
    subplot(1,2,1)
    axis('image')
   seccion(1,na,r);
    suptitle('Armado Seccin')          
 subplot(1,2,2);
text(0,3,'Nredondos')
text(1.3,3,'Dimetro')
text(2.4,3,'recubrimiento')
top=text(1.8,2,num2str(Ai),'HorizontalAlignment','center')
sop = top.FontSize;
top.FontSize = 20;
line([.25 0 0 .25 NaN 3.75 4 4 3.75],[0 0 4 4 NaN 0 0 4 4])
axis off tight
  top=text(1.8,2,num2str(Ai),'HorizontalAlignment','center')%
 sop = top.FontSize;
  top.FontSize = 20;
  line([.25 0 0 .25 NaN 3.75 4 4 3.75],[0 0 4 4 NaN 0 0 4 4])
  axis off tight
   top4=text(0.65,1, 'rea armado (mm^2)');
   Apoligono=Ai(1)*na*pi*((Ai(2)/2)^2);
   top5=text(1.95,0.65,num2str(Apoligono),'HorizontalAlignment','center');
    sop5 = top5.FontSize;
    top5.FontSize = 16;
     sop4 = top4.FontSize;
    top4.FontSize = 12;
else
%     disp("No Cumple")
%     X = sprintf('%f < %f',Mxmax,Mxd)
    Ai=[[1 32 re]   
        ]; % armaduras ni/lado,phi_i,ri
    acero=armadura(na,r);
[Li,Wi]=integraHammer(); % integracion de Hammer
[n,ec2,ecu2]=initHormigon(fck); % diagrama parabola-rectangulo Hormigon
[nodos,eltos]=discretiza(na,r); % discretizacion area bruta

emax=ecu2;

options = optimoptions('fsolve','Display','off');
s0=[0 0 0];
s=fsolve(@(s)calcula(s),s0,options);

vv=esfuerzos(s);
Mxmax=vv(1);
if(Mxmax>Mxd)
%     X = sprintf('%f > %f',Mxmax,Mxd)
%     disp(X)
%     disp("Cumple")
    figure('Name','Armado Seccin','NumberTitle','off');
    subplot(1,2,1)
    axis('image')
   seccion(1,na,r);
    suptitle('Armado Seccin')          
 subplot(1,2,2);
text(0,3,'Nredondos')
text(1.3,3,'Dimetro')
text(2.4,3,'recubrimiento')
top=text(1.8,2,num2str(Ai),'HorizontalAlignment','center')
sop = top.FontSize;
top.FontSize = 20;
line([.25 0 0 .25 NaN 3.75 4 4 3.75],[0 0 4 4 NaN 0 0 4 4])
axis off tight
  top=text(1.8,2,num2str(Ai),'HorizontalAlignment','center')%
 sop = top.FontSize;
  top.FontSize = 20;
  line([.25 0 0 .25 NaN 3.75 4 4 3.75],[0 0 4 4 NaN 0 0 4 4])
  axis off tight
   top4=text(0.65,1, 'rea armado (mm^2)');
   Apoligono=Ai(1)*na*pi*((Ai(2)/2)^2);
   top5=text(1.95,0.65,num2str(Apoligono),'HorizontalAlignment','center');
    sop5 = top5.FontSize;
    top5.FontSize = 16;
     sop4 = top4.FontSize;
    top4.FontSize = 12;
else
%     disp("No Cumple")
%     X = sprintf('%f < %f',Mxmax,Mxd)
    Ai=[[1 40 re]   
        ]; % armaduras ni/lado,phi_i,ri
    acero=armadura(na,r);
[Li,Wi]=integraHammer(); % integracion de Hammer
[n,ec2,ecu2]=initHormigon(fck); % diagrama parabola-rectangulo Hormigon
[nodos,eltos]=discretiza(na,r); % discretizacion area bruta

emax=ecu2;

options = optimoptions('fsolve','Display','off');
s0=[0 0 0];
s=fsolve(@(s)calcula(s),s0,options);

vv=esfuerzos(s);
Mxmax=vv(1);
if(Mxmax>Mxd)
%     X = sprintf('%f > %f',Mxmax,Mxd)
%     disp(X)
%     disp("Cumple")
    figure('Name','Armado Seccin','NumberTitle','off');
    subplot(1,2,1)
    axis('image')
    seccion(1,na,r);
    suptitle('Armado Seccin')          
 subplot(1,2,2);
text(0,3,'Nredondos')
text(1.3,3,'Dimetro')
text(2.4,3,'recubrimiento')
top=text(1.8,2,num2str(Ai),'HorizontalAlignment','center')
sop = top.FontSize;
top.FontSize = 20;
line([.25 0 0 .25 NaN 3.75 4 4 3.75],[0 0 4 4 NaN 0 0 4 4])
axis off tight
  top=text(1.8,2,num2str(Ai),'HorizontalAlignment','center')%
 sop = top.FontSize;
  top.FontSize = 20;
  line([.25 0 0 .25 NaN 3.75 4 4 3.75],[0 0 4 4 NaN 0 0 4 4])
  axis off tight
   top4=text(0.65,1, 'rea armado (mm^2)');
   Apoligono=Ai(1)*na*pi*((Ai(2)/2)^2);
   top5=text(1.95,0.65,num2str(Apoligono),'HorizontalAlignment','center');
    sop5 = top5.FontSize;
    top5.FontSize = 16;
     sop4 = top4.FontSize;
    top4.FontSize = 12;
else
   figure('Name','Atencin','NumberTitle','off');
      tope2=text(0.2,2.4,'No cumple con los requisitos introducidos.')
      tope3=text(0.2,2.6,'Reinicia el programa con otro parmetros.')
        top=text(2,2,string(''),'HorizontalAlignment','center')
   tope2.FontSize = 14; 
   tope3.FontSize = 14; 
  line([.25 0 0 .25 NaN 3.75 4 4 3.75],[0 0 4 4 NaN 0 0 4 4])
  return;
end
end
end
end
end
end
end
end
end
end
end





    